Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.bayes.net.search.local
Class SimulatedAnnealing

    java.lang.Object
      weka.classifiers.bayes.net.search.SearchAlgorithm
          weka.classifiers.bayes.net.search.local.LocalScoreSearchAlgorithm
              weka.classifiers.bayes.net.search.local.SimulatedAnnealing

All Implemented Interfaces:
  java.io.Serializable, OptionHandler

    public class SimulatedAnnealing

extends LocalScoreSearchAlgorithm

SimulatedAnnealing uses simulated annealing for learning Bayesian network structures. For details, see for example R.R. Bouckaert. Bayesian Belief Networks: from Construction to Inference. Ph.D. thesis, University of Utrecht, 1995

Author:
  Remco Bouckaert (rrb@xm.co.nz) Version: $Revision: 1.2 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class weka.classifiers.bayes.net.search.local.LocalScoreSearchAlgorithm
`TAGS_SCORE_TYPE`

Constructor Summary
`SimulatedAnnealing()`

Method Summary
`void` | `buildStructure(BayesNet bayesNet, Instances instances)` buildStructure determines the network structure/graph of the network with the K2 algorithm, restricted by its initial structure (which can be an empty graph, or a Naive Bayes graph.
`java.lang.String` | `deltaTipText()`
`double` | `getDelta()`
`java.lang.String[]` | `getOptions()` Gets the current settings of the search algorithm.
`int` | `getRuns()`
`int` | `getSeed()`
`double` | `getTStart()`
`java.lang.String` | `globalInfo()` This will return a string describing the classifier.
`java.util.Enumeration` | `listOptions()` Returns an enumeration describing the available options.
`java.lang.String` | `runsTipText()`
`java.lang.String` | `seedTipText()`
`void` | `setDelta(double fDelta)` Sets the m_fDelta.
`void` | `setOptions(java.lang.String[] options)` Parses a given list of options.
`void` | `setRuns(int nRuns)` Sets the m_nRuns.
`void` | `setSeed(int nSeed)` Sets the random number seed
`void` | `setTStart(double fTStart)` Sets the m_fTStart.
`java.lang.String` | `TStartTipText()`

Methods inherited from class weka.classifiers.bayes.net.search.local.LocalScoreSearchAlgorithm
`calcNodeScore, calcScoreWithExtraParent, calcScoreWithMissingParent, getMarkovBlanketClassifier, getScoreType, logScore, markovBlanketClassifierTipText, scoreTypeTipText, setMarkovBlanketClassifier, setScoreType`

Methods inherited from class weka.classifiers.bayes.net.search.SearchAlgorithm
`initAsNaiveBayesTipText, maxNrOfParentsTipText, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimulatedAnnealing

    public SimulatedAnnealing()

Method Detail

### buildStructure

    public void buildStructure(BayesNet bayesNet,
                               Instances instances)
                        throws java.lang.Exception

  Description copied from class: `LocalScoreSearchAlgorithm`
  buildStructure determines the network structure/graph of the network with the K2 algorithm, restricted by its initial structure (which can be an empty graph, or a Naive Bayes graph.

  Overrides:
    `buildStructure` in class `LocalScoreSearchAlgorithm`
  Throws:
    `java.lang.Exception`

### getDelta

    public double getDelta()

  Returns:
    double

### getTStart

    public double getTStart()

  Returns:
    double

### getRuns

    public int getRuns()

  Returns:
    int

### setDelta

    public void setDelta(double fDelta)

  Sets the m_fDelta.

  Parameters:
    `m_fDelta` - The m_fDelta to set

### setTStart

    public void setTStart(double fTStart)

  Sets the m_fTStart.

  Parameters:
    `m_fTStart` - The m_fTStart to set

### setRuns

    public void setRuns(int nRuns)

  Sets the m_nRuns.

  Parameters:
    `m_nRuns` - The m_nRuns to set

### getSeed

    public int getSeed()

  Returns:
    random number seed

### setSeed

    public void setSeed(int nSeed)

  Sets the random number seed

  Parameters:
    `nSeed` - The number of the seed to set

### listOptions

    public java.util.Enumeration listOptions()

  Returns an enumeration describing the available options.

  Specified by:
    `listOptions` in interface `OptionHandler`
  Overrides:
    `listOptions` in class `LocalScoreSearchAlgorithm`
  Returns:
    an enumeration of all the available options.

### setOptions

    public void setOptions(java.lang.String[] options)
                    throws java.lang.Exception

  Parses a given list of options. Valid options are:

  For other options see search algorithm.

  Specified by:
    `setOptions` in interface `OptionHandler`
  Overrides:
    `setOptions` in class `LocalScoreSearchAlgorithm`
  Parameters:
    `options` - the list of options as an array of strings
  Throws:
    `java.lang.Exception` - if an option is not supported

### getOptions

    public java.lang.String[] getOptions()

  Gets the current settings of the search algorithm.

  Specified by:
    `getOptions` in interface `OptionHandler`
  Overrides:
    `getOptions` in class `LocalScoreSearchAlgorithm`
  Returns:
    an array of strings suitable for passing to setOptions

### globalInfo

    public java.lang.String globalInfo()

  This will return a string describing the classifier.

  Returns:
    The string.

### TStartTipText

    public java.lang.String TStartTipText()

  Returns:
    a string to describe the TStart option.

### runsTipText

    public java.lang.String runsTipText()

  Returns:
    a string to describe the Runs option.

### deltaTipText

    public java.lang.String deltaTipText()

  Returns:
    a string to describe the Delta option.

### seedTipText

    public java.lang.String seedTipText()

  Returns:
    a string to describe the Seed option.

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD